<?php
/**
 * Template part for displaying posts.
 *
 * @link https://codex.wordpress.org/Template_Hierarchy
 *
 * @package Theme Palace
 * @subpackage Korpo
 * @since Korpo 1.0.0
 */
$options = korpo_get_theme_options();
$readmore = ! empty( $options['read_more_text'] ) ? $options['read_more_text'] : esc_html__( 'Continue Reading', 'korpo' );
?>

<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
    <?php if ( is_sticky() && korpo_is_latest_posts() ) :  
        if ( 'post' === get_post_type() ) : ?>
            <div class="entry-meta">
                <?php 
                echo korpo_categories(); 
                korpo_posted_on(); 
                ?>
            </div><!-- .entry-meta -->
        <?php endif; ?>

        <header class="entry-header">
            <h2 class="entry-title"><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h2>
        </header><!-- .entry-header -->

        <?php if ( has_post_thumbnail() ) : ?>
            <div class="featured-image" style="background-image: url('<?php the_post_thumbnail_url( 'full' ); ?>');">
                <a href="<?php the_permalink(); ?>" class="featured-image-link"></a>
            </div><!-- .featured-image -->
        <?php endif; ?>

        <div class="entry-container">
            <div class="entry-content">
                <?php the_excerpt(); ?>
            </div><!-- .entry-content -->

            <div class="more-link">
                <a href="<?php the_permalink(); ?>" class="btn btn-primary"><?php echo esc_html( $readmore ) ?></a>
            </div><!-- .more-link -->
        </div><!-- .entry-container -->

    <?php else : ?>

        <?php if ( has_post_thumbnail() ) : ?>
            <div class="featured-post-image">
                <div class="featured-image" style="background-image: url('<?php the_post_thumbnail_url( 'medium_large' ); ?>');">
                    <a href="<?php the_permalink(); ?>" class="featured-image-link"></a>
                </div><!-- .featured-image -->
            </div>
        <?php endif; ?>

        <div class="entry-container">
            <div class="entry-meta">
                <?php if ( 'post' === get_post_type() ) : ?>
                    <div class="entry-meta">
                        <?php 
                        echo korpo_categories(); 
                        korpo_posted_on(); 
                        ?>
                    </div><!-- .entry-meta -->
                <?php endif; ?>
            </div><!-- .entry-meta -->

            <header class="entry-header">
                <h2 class="entry-title"><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h2>
            </header>

            <div class="entry-content">
                <?php the_excerpt(); ?>
            </div><!-- .entry-content -->

             <div class="more-link">
                <a href="<?php the_permalink(); ?>" class="btn btn-primary"><?php echo esc_html( $readmore ) ?></a>
            </div><!-- .more-link -->
        </div><!-- .entry-container -->
    <?php endif; ?>

</article><!-- #post-## -->
